org.apache.sling.provisioning.model.io

## Class ModelReader

- java.lang.Object
- - org.apache.sling.provisioning.model.io.ModelReader

    public class ModelReader
    extends Object

This class offers a method to read a model using a `Reader` instance.

### Method Summary

All Methods Static Methods Concrete Methods
`static Model` `read(Reader reader, String location)` Reads the model file The reader is not closed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### read

    public static Model read(Reader reader,
                             String location)
                      throws IOException

Reads the model file The reader is not closed. It is up to the caller to close the reader.

Parameters:
  `reader` - The reader providing the model
  `location` - Optional location string identifying the source of the model.
Throws:
  `IOException` - If an error occurs